Subject: bug#5642: Reporting a bug loads many Gnus libraries

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Feb 2010 21:28:40 +0200

> From: Stefan Monnier <[email-masked]>
> Date: Wed, 24 Feb 2010 16:32:00 -0500
> Cc: [email-masked]
> 
> > Typing C-c C-c to send the bug loads 22 extra libraries, including
> > several Gnus ones:
> 
> >     gnus-msg gnus-art mm-uu mml2015 epg-config mm-view smime dig gnus-sum
> >     nnoo gnus-group gnus-undo nnmail mail-source format-spec gnus-start
> >     gnus-spec gnus-int gnus-range gnus-win gnus gnus-ems
> 
> I'm not worried about loading more libraries: the change is specifically
> to provide more features so extra code is to be expected.

Why isn't each library loaded only when the respective feature(s)
is/are needed?